Public Member Functions | List of all members
WP6UnsupportedVariableLengthGroup Class Reference

`#include <WP6UnsupportedVariableLengthGroup.h>`

Inheritance diagram for WP6UnsupportedVariableLengthGroup:

## Public Member Functions
| WP6UnsupportedVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *) override
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Additional Inherited Members
Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

## ◆ WP6UnsupportedVariableLengthGroup()

WP6UnsupportedVariableLengthGroup::WP6UnsupportedVariableLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## Member Function Documentation

## ◆ parse()

void WP6UnsupportedVariableLengthGroup::parse | ( | WP6Listener * |  | ) |
| inline override virtual

Implements WP6Part.

The documentation for this class was generated from the following files:

- WP6UnsupportedVariableLengthGroup.h
- WP6UnsupportedVariableLengthGroup.cpp